import { StreamVideoParticipant } from '@stream-io/video-client';
import { UseSearchParams } from '../Search/hooks';
type CallParticipantListProps = {
    /** Click event listener function to be invoked in order to dismiss/hide the CallParticipantsList from the UI */
    onClose: () => void;
    /** Custom function to override the searching logic of active participants */
    activeUsersSearchFn?: UseSearchParams<StreamVideoParticipant>['searchFn'];
    /** Custom function to override the searching logic of blocked users */
    blockedUsersSearchFn?: UseSearchParams<string>['searchFn'];
    /** Interval in ms, during which the participant search calls will be debounced. The default value is 200ms. */
    debounceSearchInterval?: number;
};
export declare const CallParticipantsList: ({ onClose, activeUsersSearchFn, blockedUsersSearchFn, debounceSearchInterval, }: CallParticipantListProps) => import("react/jsx-runtime").JSX.Element;
export {};
