import { ComponentType } from 'react';
import { CallRecording } from '@stream-io/video-client';
import { CallRecordingListHeaderProps } from './CallRecordingListHeader';
import { CallRecordingListItemProps } from './CallRecordingListItem';
import { LoadingCallRecordingListProps } from './LoadingCallRecordingListing';
export type CallRecordingListProps = {
    /** Array of CallRecording objects to be displayed */
    callRecordings: CallRecording[];
    /** Custom component to replace the default header implementation */
    CallRecordingListHeader?: ComponentType<CallRecordingListHeaderProps>;
    /** Custom component to replace the default list item implementation */
    CallRecordingListItem?: ComponentType<CallRecordingListItemProps>;
    /** Custom component to replace the default empty list component implementation */
    EmptyCallRecordingList?: ComponentType;
    /** Signals that a request for new list of CallRecording object has been initiated */
    loading?: boolean;
    /** Custom component to be rendered when loading is true */
    LoadingCallRecordingList?: ComponentType<LoadingCallRecordingListProps>;
    /** Callback to be invoked when the refresh button is clicked */
    onRefresh?: () => void;
};
export declare const CallRecordingList: ({ callRecordings, CallRecordingListHeader, CallRecordingListItem, EmptyCallRecordingList, loading, LoadingCallRecordingList, onRefresh, }: CallRecordingListProps) => import("react/jsx-runtime").JSX.Element;
