import { OwnCapability } from '@stream-io/video-client';
import { PropsWithChildren } from 'react';
export type PermissionNotificationProps = PropsWithChildren<{
    /**
     * Set this to true if there is ongoing request for the permission.
     */
    isAwaitingApproval: boolean;
    /**
     * The message to display in the notification once
     * the requested permission is granted.
     */
    messageApproved: string;
    /**
     * The message to display in the notification once a permission
     * is revoked.
     */
    messageRevoked: string;
    /**
     * The message to display in the notification while
     * the requested permission is awaiting approval.
     */
    messageAwaitingApproval: string;
    /**
     * The permission to check for.
     */
    permission: OwnCapability;
    /**
     * The time in milliseconds to display the notification.
     * Defaults to 3500ms.
     */
    visibilityTimeout?: number;
}>;
export declare const PermissionNotification: (props: PermissionNotificationProps) => import("react/jsx-runtime").JSX.Element;
