import { ComponentProps } from 'react';
type SearchInputProps = ComponentProps<'input'> & {
    /**
     * Resets the search to its initial state.
     * The function is called when Esc key or inputs clear button are pressed
     */
    exitSearch: () => void;
    /**
     * Flag to signal, whether search input elements should be rendered as active
     */
    isActive: boolean;
};
export declare const SearchInput: ({ exitSearch, isActive, ...rest }: SearchInputProps) => import("react/jsx-runtime").JSX.Element;
export {};
