import { ComponentType } from 'react';
import { SearchController } from './hooks';
export type SearchResultListProps<T> = {
    data: T[];
};
export type SearchResultsProps<T> = Pick<SearchController<T>, 'searchResults' | 'searchQueryInProgress'> & {
    /** Component to be displayed, when empty array of search results is provided */
    EmptySearchResultComponent: ComponentType;
    /** Component will be used to render non-empty array of search results  */
    SearchResultList: ComponentType<SearchResultListProps<T>>;
    /** Component to be displayed while the search query request is in progress */
    LoadingIndicator?: ComponentType;
};
export declare function SearchResults<T>({ EmptySearchResultComponent, LoadingIndicator, searchQueryInProgress, searchResults, SearchResultList, }: SearchResultsProps<T>): import("react/jsx-runtime").JSX.Element;
