import { PropsWithChildren } from 'react';
import { Placement } from '@floating-ui/react';
export type TooltipProps<T extends HTMLElement> = PropsWithChildren<{
    /** Reference element to which the tooltip should attach to */
    referenceElement: T | null;
    /** Additional class applied to the tooltip root element */
    tooltipClassName?: string;
    /** Popper's modifier (offset) property - [xAxis offset, yAxis offset], default [0, 10] */
    offset?: [number, number];
    /** Popper's placement property defining default position of the tooltip, default 'top' */
    tooltipPlacement?: Placement;
    /** Tells component whether to render its contents */
    visible?: boolean;
}>;
export declare const Tooltip: <T extends HTMLElement>({ children, referenceElement, tooltipClassName, tooltipPlacement, visible, }: TooltipProps<T>) => import("react/jsx-runtime").JSX.Element | null;
