import { ComponentType } from 'react';
export type VideoPreviewProps = {
    /**
     * Additional CSS class name to apply to the root element.
     */
    className?: string;
    /**
     * Enforces mirroring of the video on the X axis. Defaults to true.
     */
    mirror?: boolean;
    /**
     * Component rendered when user turns off the video.
     */
    DisabledVideoPreview?: ComponentType;
    /**
     * Component rendered when no camera devices are available.
     */
    NoCameraPreview?: ComponentType;
    /**
     * Component rendered above the BaseVideo until the video is ready (meaning until the play event is emitted).
     */
    StartingCameraPreview?: ComponentType;
};
export declare const VideoPreview: ({ className, mirror, DisabledVideoPreview, NoCameraPreview, StartingCameraPreview, }: VideoPreviewProps) => import("react/jsx-runtime").JSX.Element;
