import { ComponentPropsWithoutRef } from 'react';
import { AudioTrackType, StreamVideoParticipant } from '@stream-io/video-client';
export type AudioProps = ComponentPropsWithoutRef<'audio'> & {
    /**
     * The participant whose audio stream we want to play.
     */
    participant: StreamVideoParticipant;
    /**
     * The type of audio stream to play for the given participant.
     * The default value is `audioTrack`.
     */
    trackType?: AudioTrackType;
};
export declare const Audio: {
    ({ participant, trackType, ...rest }: AudioProps): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
