export type LocalDevicePreference = {
    selectedDeviceId: string;
    selectedDeviceLabel: string;
    muted?: boolean;
};
export type LocalDevicePreferences = {
    [type in DeviceKey]?: LocalDevicePreference | LocalDevicePreference[];
};
type DeviceKey = 'microphone' | 'camera' | 'speaker';
/**
 * This hook will apply and persist the device preferences from local storage.
 *
 * @param key the key to use for local storage.
 */
export declare const usePersistedDevicePreferences: (key?: string) => void;
export {};
